Package fr.gouv.vitam.common.model.processing

# Class ProcessDetail

java.lang.Object
fr.gouv.vitam.common.model.processing.ProcessDetail

public class ProcessDetail extends Object
Model for the detail of a process.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessDetail()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getGlobalState()`
  `String`
  `getNextStep()`
  `String`
  `getOperationId()`
  `String`
  `getPreviousStep()`
  `String`
  `getProcessDate()`
  `String`
  `getProcessType()`
  `String`
  `getStepStatus()`
  `boolean`
  `isForcedCancellation()`
  `boolean`
  `isStepByStep()`
  `boolean`
  `isStepCancellable()`
  `void`
  `setForcedCancellation(boolean forcedCancellation)`
  `void`
  `setGlobalState(String globalState)`
  `void`
  `setNextStep(String nextStep)`
  `void`
  `setOperationId(String operationId)`
  `void`
  `setPreviousStep(String previousStep)`
  `void`
  `setProcessDate(String processDate)`
  `void`
  `setProcessType(String processType)`
  `void`
  `setStepByStep(boolean stepByStep)`
  `void`
  `setStepCancellable(boolean stepCancellable)`
  `void`
  `setStepStatus(String stepStatus)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProcessDetail

    public ProcessDetail()

- ## Method Details

  - ### getStepStatus

    public String getStepStatus()
    Returns:
      stepStatus

  - ### setStepStatus

    public void setStepStatus(String stepStatus)
    Parameters:
      `stepStatus` -

  - ### getPreviousStep

    public String getPreviousStep()
    Returns:
      previousStep

  - ### setPreviousStep

    public void setPreviousStep(String previousStep)
    Parameters:
      `previousStep` -

  - ### getNextStep

    public String getNextStep()
    Returns:
      nextStep

  - ### setNextStep

    public void setNextStep(String nextStep)
    Parameters:
      `nextStep` -

  - ### getOperationId

    public String getOperationId()
    Returns:
      operationId

  - ### setOperationId

    public void setOperationId(String operationId)
    Parameters:
      `operationId` -

  - ### getProcessType

    public String getProcessType()
    Returns:
      processType

  - ### setProcessType

    public void setProcessType(String processType)
    Parameters:
      `processType` -

  - ### isStepByStep

    public boolean isStepByStep()
    Returns:
      stepByStep

  - ### setStepByStep

    public void setStepByStep(boolean stepByStep)
    Parameters:
      `stepByStep` -

  - ### isStepCancellable

    public boolean isStepCancellable()
    Returns:
      stepCancellable

  - ### setStepCancellable

    public void setStepCancellable(boolean stepCancellable)
    Parameters:
      `stepCancellable` -

  - ### getGlobalState

    public String getGlobalState()
    Returns:
      globalState

  - ### setGlobalState

    public void setGlobalState(String globalState)
    Parameters:
      `globalState` -

  - ### isForcedCancellation

    public boolean isForcedCancellation()
    Returns:
      true if cancellation was forced

  - ### setForcedCancellation

    public void setForcedCancellation(boolean forcedCancellation)

  - ### getProcessDate

    public String getProcessDate()
    Returns:
      processDate

  - ### setProcessDate

    public void setProcessDate(String processDate)
    Parameters:
      `processDate` -